plugins {
    id 'com.android.application'
    id 'org.jetbrains.kotlin.android'
    id 'kotlin-kapt'
    id 'kotlin-parcelize'
    id 'androidx.navigation.safeargs.kotlin'
}

android {
    namespace 'com.demotest.app'
    compileSdk 33

    defaultConfig {
        applicationId "com.demotest.app"
        minSdk 23
        targetSdk 33
        versionCode 62
        versionName "3.1.4"

        testInstrumentationRunner "androidx.test.runner.AndroidJUnitRunner"

        buildConfigField "String", "BASE_URL", "\"https://google.com/\""
    }

    android.applicationVariants.all { variant ->
        variant.outputs.all {
            outputFileName = "${variant.applicationId}-${variant.versionName}.apk"
        }
    }

    buildTypes {
        release {
            minifyEnabled false
            proguardFiles getDefaultProguardFile('proguard-android-optimize.txt'), 'proguard-rules.pro'
        }
    }
    compileOptions {
        sourceCompatibility JavaVersion.VERSION_1_8
        targetCompatibility JavaVersion.VERSION_1_8
    }
    kotlinOptions {
        jvmTarget = '1.8'
    }
    buildFeatures {
        viewBinding true
    }
}

dependencies {
    implementation 'androidx.core:core-ktx:1.9.0'
    implementation 'androidx.appcompat:appcompat:1.6.0'
    implementation 'com.google.android.material:material:1.7.0'
    implementation 'androidx.constraintlayout:constraintlayout:2.1.4'
    implementation 'androidx.lifecycle:lifecycle-livedata-ktx:2.5.1'
    implementation 'androidx.lifecycle:lifecycle-viewmodel-ktx:2.5.1'
    implementation 'androidx.navigation:navigation-fragment-ktx:2.5.3'
    implementation 'androidx.navigation:navigation-ui-ktx:2.5.3'
    implementation 'androidx.annotation:annotation:1.5.0'

    //Firebase
    //Splash screen
    implementation "androidx.core:core-splashscreen:1.0.0"

    // Koin
    def koin_android_version= "3.3.0"
    implementation "io.insert-koin:koin-android:$koin_android_version"

    // Retrofit
    implementation 'com.squareup.retrofit2:retrofit:2.9.0'
    implementation 'com.squareup.retrofit2:converter-gson:2.9.0'
    // Requests interceptor
    implementation "com.squareup.okhttp3:logging-interceptor:5.0.0-alpha.2"
    //Image processing
    implementation 'com.github.bumptech.glide:glide:4.14.2'
    kapt 'com.github.bumptech.glide:compiler:4.14.2'

    //Permissions
    implementation 'com.karumi:dexter:6.2.3'

    //Loader
    implementation "com.github.sakshampruthi:custom-loading-screen:1.16"
    implementation 'com.github.simonebortolin:FlowLayoutManager:1.8.0'

    implementation 'com.madgag.spongycastle:core:1.54.0.0'
    implementation 'com.madgag.spongycastle:prov:1.54.0.0'
    implementation 'com.madgag.spongycastle:pkix:1.54.0.0'
    implementation 'com.madgag.spongycastle:pg:1.54.0.0'

    implementation 'com.airbnb.android:lottie:6.0.0'
    implementation 'pl.droidsonroids.gif:android-gif-drawable:1.2.22'
    implementation("com.tbuonomo:dotsindicator:4.3")

}